Search
curl --request GET \
--url https://api.sociavault.com/v1/scrape/google/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.sociavault.com/v1/scrape/google/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.sociavault.com/v1/scrape/google/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"success": true,
"results": {
"0": {
"title": "Austen Allred - Gauntlet AI - LinkedIn",
"url": "https://www.linkedin.com/in/austenallred",
"description": "Founder of Gauntlet AI · Experience: Gauntlet AI · Education: Y Combinator · Location: Austin · 500+ connections on LinkedIn. View Austen Allred's profile ..."
},
"1": {
"title": "Twitter Profile",
"url": "https://x.com/Austen"
},
"2": {
"title": "Austen Allred (@Austen) / Posts / X - Twitter",
"url": "https://x.com/Austen",
"description": "Austen Allred (@Austen) - Posts - Founder GauntletAI.com : Free AI training for the smartest engineers. Will tweet as I wish and suff."
}
}
},
"credits_used": 1
}{
"error": "Missing required parameter: handle",
"endpoint": "<string>",
"credits_required": 123
}{
"error": "Invalid API key",
"docs": "https://docs.sociavault.com/authentication"
}{
"error": "Insufficient credits",
"required": 1,
"available": 0
}{
"error": "Service configuration error"
}Google
Search
Search Google
GET
/
v1
/
scrape
/
google
/
search
Search
💳 1 credit per request
Authorizations
Query Parameters
Search query
Example:
"austen allred"
2 letter country code, ie US, UK, CA, etc This will show results from that country
Example:
"US"
Filter results by how recently they were posted
Available options:
last-hour, last-day, last-week, last-month, last-year Example:
"last-day"
Page number to retrieve, for paginating through results. Must be between 1 and 11. Use the next-page indicator in the response to walk pages; each page is a separate request and costs 1 credit.
Required range:
1 <= x <= 11Example:
1
Response
Successful response
Key Response Fields:
data.results[n].title: Page title from search resultdata.results[n].url: URL of the result pagedata.results[n].description: Snippet text from the search resultcredits_used: Number of credits consumed by the request